Subject: Re: bug#32864: 26.1; menus don't work correctly in Mac OS Mojave

From: [email-masked]
Date: Tue, 04 Jun 2019 12:53:10 -0400

Alan Third <[email-masked]> writes:

> Elisp code doesn’t guarantee it will return, it can longjmp when you
> hit C-g, for example. This means you can end up with the application
> attempting to run the event loop while it is still INSIDE the previous
> event loop, and the toolkit really doesn’t like that. It will, in
> fact, kill Emacs on the spot.

> If anyone has any other ideas I’d be happy to hear them.

Would using safe_call be enough to allow calling Elisp in this
situation?